{
    "fields": [
        {
            "name": "previousVariant",
            "type": {
                "doc": "A reported variant",
                "fields": [
                    {
                        "doc": "The variant coordinates. Chromosome is either 1-22, X, Y, MT or any other contif in the reference genome,\n        no \"chr\" prefix is expected. Position is 1- based. Reference and alternate should never be empty or any\n        character representing emptiness (e.g.: . or -), a VCF-like indel representation is expected.",
                        "name": "variantCoordinates",
                        "type": {
                            "doc": "The variant coordinates representing uniquely a small variant.\n    No multi-allelic variant supported, alternate only represents one alternate allele.",
                            "fields": [
                                {
                                    "doc": "Chromosome",
                                    "name": "chromosome",
                                    "type": "string"
                                },
                                {
                                    "doc": "Genomic position",
                                    "name": "position",
                                    "type": "int"
                                },
                                {
                                    "doc": "The reference bases.",
                                    "name": "reference",
                                    "type": "string"
                                },
                                {
                                    "doc": "The alternate bases",
                                    "name": "alternate",
                                    "type": "string"
                                },
                                {
                                    "doc": "The assembly to which this variant corresponds",
                                    "name": "assembly",
                                    "type": {
                                        "doc": "The reference genome assembly",
                                        "name": "Assembly",
                                        "symbols": [
                                            "GRCh38",
                                            "GRCh37"
                                        ],
                                        "type": "enum"
                                    }
                                }
                            ],
                            "name": "VariantCoordinates",
                            "type": "record"
                        }
                    },
                    {
                        "doc": "Variant identifier in dbSNP",
                        "name": "dbSnpId",
                        "type": [
                            "null",
                            "string"
                        ]
                    },
                    {
                        "doc": "Variant identifier in Cosmic",
                        "name": "cosmicIds",
                        "type": [
                            "null",
                            {
                                "items": "string",
                                "type": "array"
                            }
                        ]
                    },
                    {
                        "doc": "Variant identifier in ClinVar",
                        "name": "clinVarIds",
                        "type": [
                            "null",
                            {
                                "items": "string",
                                "type": "array"
                            }
                        ]
                    },
                    {
                        "doc": "gDNA change, HGVS nomenclature (e.g.: g.476A>T)",
                        "name": "genomicChanges",
                        "type": [
                            "null",
                            {
                                "items": "string",
                                "type": "array"
                            }
                        ]
                    },
                    {
                        "doc": "cDNA change, HGVS nomenclature (e.g.: c.76A>T)",
                        "name": "cdnaChanges",
                        "type": [
                            "null",
                            {
                                "items": "string",
                                "type": "array"
                            }
                        ]
                    },
                    {
                        "doc": "Protein change, HGVS nomenclature (e.g.: p.Lys76Asn)",
                        "name": "proteinChanges",
                        "type": [
                            "null",
                            {
                                "items": "string",
                                "type": "array"
                            }
                        ]
                    },
                    {
                        "doc": "List of variant calls across all samples under analysis for this variant",
                        "name": "variantCalls",
                        "type": {
                            "items": {
                                "doc": "This object holds all the information related to a specific variant observation in a given sample, including\n    zygosity, phase, depth of coverage, variant allele frequency and allele origins.",
                                "fields": [
                                    {
                                        "doc": "Participant identifier",
                                        "name": "participantId",
                                        "type": "string"
                                    },
                                    {
                                        "doc": "Sample identifier where the variant was observed",
                                        "name": "sampleId",
                                        "type": "string"
                                    },
                                    {
                                        "doc": "Zygosity. For somatic variants, or variants without zygosity use `na`",
                                        "name": "zygosity",
                                        "type": {
                                            "doc": "It is a representation of the zygosity\n\n* `reference_homozygous`: 0/0, 0|0\n* `heterozygous`: 0/1, 1/0, 1|0, 0|1\n* `alternate_homozygous`: 1/1, 1|1\n* `missing`: ./., .|.\n* `half_missing_reference`: ./0, 0/., 0|., .|0\n* `half_missing_alternate`: ./1, 1/., 1|., .|1\n* `alternate_hemizigous`: 1\n* `reference_hemizigous`: 0\n* `unk`: Anything unexpected",
                                            "name": "Zygosity",
                                            "symbols": [
                                                "reference_homozygous",
                                                "heterozygous",
                                                "alternate_homozygous",
                                                "missing",
                                                "half_missing_reference",
                                                "half_missing_alternate",
                                                "alternate_hemizigous",
                                                "reference_hemizigous",
                                                "unk",
                                                "na"
                                            ],
                                            "type": "enum"
                                        }
                                    },
                                    {
                                        "doc": "Phase set of variants when variants are phased. Two variants with the same value in this field are in phase,\n        if the value is null the variant is unphased. These values are only relevant within the same report.",
                                        "name": "phaseSet",
                                        "type": [
                                            "null",
                                            "int"
                                        ]
                                    },
                                    {
                                        "doc": "Variant Allele Frequency (VAF) as calculated based on the depth of coverage for this variant call",
                                        "name": "vaf",
                                        "type": [
                                            "null",
                                            "double"
                                        ]
                                    },
                                    {
                                        "doc": "Depth of coverage for reference allele",
                                        "name": "depthReference",
                                        "type": [
                                            "null",
                                            "int"
                                        ]
                                    },
                                    {
                                        "doc": "Depth of coverage for alternate allele",
                                        "name": "depthAlternate",
                                        "type": [
                                            "null",
                                            "int"
                                        ]
                                    },
                                    {
                                        "doc": "A list of allele origins for this variant",
                                        "name": "alleleOrigins",
                                        "type": {
                                            "items": {
                                                "doc": "Allele origin.\n\n* `SO_0001781`: de novo variant. http://purl.obolibrary.org/obo/SO_0001781\n* `SO_0001778`: germline variant. http://purl.obolibrary.org/obo/SO_0001778\n* `SO_0001775`: maternal variant. http://purl.obolibrary.org/obo/SO_0001775\n* `SO_0001776`: paternal variant. http://purl.obolibrary.org/obo/SO_0001776\n* `SO_0001779`: pedigree specific variant. http://purl.obolibrary.org/obo/SO_0001779\n* `SO_0001780`: population specific variant. http://purl.obolibrary.org/obo/SO_0001780\n* `SO_0001777`: somatic variant. http://purl.obolibrary.org/obo/SO_0001777",
                                                "name": "AlleleOrigin",
                                                "symbols": [
                                                    "de_novo_variant",
                                                    "germline_variant",
                                                    "maternal_variant",
                                                    "paternal_variant",
                                                    "pedigree_specific_variant",
                                                    "population_specific_variant",
                                                    "somatic_variant"
                                                ],
                                                "type": "enum"
                                            },
                                            "type": "array"
                                        }
                                    }
                                ],
                                "name": "VariantCall",
                                "type": "record"
                            },
                            "type": "array"
                        }
                    },
                    {
                        "doc": "The list of report events for this variant across multiple modes of inheritance and panels",
                        "name": "reportEvents",
                        "type": {
                            "items": {
                                "doc": "A report event holds all the information about why a given variant is relevant to report. The same variant may have\n    several report events. For instance, we may have two report events from the tiering process when two panels are\n    analysed, a positive report from a Genomic Medicine Centre (GMC) will correspond to an additional report event.",
                                "fields": [
                                    {
                                        "doc": "Unique identifier for each report event, this is unique across the whole report. A report having more than one\n        report event with the same identifier is invalid. Repeating report event identifiers between different reports\n        is valid. The uniqueness of this field will be checked in report validation",
                                        "name": "reportEventId",
                                        "type": "string"
                                    },
                                    {
                                        "doc": "This is the list of phenotypes (usually the HPO term or the disorder name) considered to report this variant",
                                        "name": "phenotypes",
                                        "type": {
                                            "items": "string",
                                            "type": "array"
                                        }
                                    },
                                    {
                                        "doc": "Sequence Ontology terms for relevant consequence types in tiering",
                                        "name": "variantConsequences",
                                        "type": {
                                            "items": {
                                                "doc": "A variant consequence as defined by the Sequence Ontology (SO) (e.g.: id = SO:0001816 ; name = non synonymous)\n    NOTE: this record is equivalent to OpenCB's `ConsequenceType`, but we want to avoid naming collisions",
                                                "fields": [
                                                    {
                                                        "doc": "The SO term identifier (e.g.: SO:0001816)",
                                                        "name": "id",
                                                        "type": "string"
                                                    },
                                                    {
                                                        "doc": "The SO term name (e.g.: non synonymous)",
                                                        "name": "name",
                                                        "type": [
                                                            "null",
                                                            "string"
                                                        ]
                                                    }
                                                ],
                                                "name": "VariantConsequence",
                                                "type": "record"
                                            },
                                            "type": "array"
                                        }
                                    },
                                    {
                                        "doc": "The panel of genes to which this report corresponds",
                                        "name": "genePanel",
                                        "type": [
                                            "null",
                                            {
                                                "doc": "A panel of genes",
                                                "fields": [
                                                    {
                                                        "doc": "Panel name used from PanelApp",
                                                        "name": "panelName",
                                                        "type": "string"
                                                    },
                                                    {
                                                        "doc": "Panel version",
                                                        "name": "panelVersion",
                                                        "type": [
                                                            "null",
                                                            "string"
                                                        ]
                                                    }
                                                ],
                                                "name": "GenePanel",
                                                "type": "record"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "Mode of inheritance used to analyse the family",
                                        "name": "modeOfInheritance",
                                        "type": {
                                            "doc": "An enumeration for the different mode of inheritances:\n\n* `monoallelic_not_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, not imprinted\n* `monoallelic_maternally_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, maternally imprinted (paternal allele expressed)\n* `monoallelic_paternally_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, paternally imprinted (maternal allele expressed)\n* `monoallelic`: MONOALLELIC, autosomal or pseudoautosomal, imprinted status unknown\n* `biallelic`: BIALLELIC, autosomal or pseudoautosomal\n* `monoallelic_and_biallelic`: BOTH monoallelic and biallelic, autosomal or pseudoautosomal\n* `monoallelic_and_more_severe_biallelic`: BOTH monoallelic and biallelic, autosomal or pseudoautosomal (but BIALLELIC mutations cause a more SEVERE disease form), autosomal or pseudoautosomal\n* `xlinked_biallelic`: X-LINKED: hemizygous mutation in males, biallelic mutations in females\n* `xlinked_monoallelic`: X linked: hemizygous mutation in males, monoallelic mutations in females may cause disease (may be less severe, later onset than males)\n* `mitochondrial`: MITOCHONDRIAL\n* `unknown`: Unknown",
                                            "name": "ReportedModeOfInheritance",
                                            "symbols": [
                                                "monoallelic",
                                                "monoallelic_not_imprinted",
                                                "monoallelic_maternally_imprinted",
                                                "monoallelic_paternally_imprinted",
                                                "biallelic",
                                                "monoallelic_and_biallelic",
                                                "monoallelic_and_more_severe_biallelic",
                                                "xlinked_biallelic",
                                                "xlinked_monoallelic",
                                                "mitochondrial",
                                                "unknown"
                                            ],
                                            "type": "enum"
                                        }
                                    },
                                    {
                                        "doc": "The list of genomic features of interest for this report event. Please note that one variant can overlap more\n        that one gene/transcript. If more than one gene/transcript is considered interesting for this particular\n        variant, should be reported in two different ReportEvents",
                                        "name": "genomicEntities",
                                        "type": {
                                            "items": {
                                                "doc": "A genomic feature",
                                                "fields": [
                                                    {
                                                        "doc": "The type of the genomic entity",
                                                        "name": "type",
                                                        "type": {
                                                            "doc": "Types of genomic features:\n\n* `regulatory_region`: a regulatory region\n* `gene`: a gene\n* `transcript`: a transcript\n* `intergenic`: an intergenic region",
                                                            "name": "GenomicEntityType",
                                                            "symbols": [
                                                                "regulatory_region",
                                                                "gene",
                                                                "transcript",
                                                                "intergenic"
                                                            ],
                                                            "type": "enum"
                                                        }
                                                    },
                                                    {
                                                        "doc": "Ensembl identifier for the feature (e.g, ENST00000544455)",
                                                        "name": "ensemblId",
                                                        "type": "string"
                                                    },
                                                    {
                                                        "doc": "The HGNC gene symbol. This field is optional, BUT it should be filled if possible",
                                                        "name": "geneSymbol",
                                                        "type": [
                                                            "null",
                                                            "string"
                                                        ]
                                                    },
                                                    {
                                                        "doc": "Others identifiers for this genomic feature",
                                                        "name": "otherIds",
                                                        "type": [
                                                            "null",
                                                            {
                                                                "type": "map",
                                                                "values": "string"
                                                            }
                                                        ]
                                                    }
                                                ],
                                                "name": "GenomicEntity",
                                                "type": "record"
                                            },
                                            "type": "array"
                                        }
                                    },
                                    {
                                        "doc": "This is the penetrance assumed for scoring or classifying this variant",
                                        "name": "penetrance",
                                        "type": [
                                            "null",
                                            {
                                                "doc": "Penetrance assumed in the analysis",
                                                "name": "Penetrance",
                                                "namespace": "org.gel.models.participant.avro",
                                                "symbols": [
                                                    "complete",
                                                    "incomplete"
                                                ],
                                                "type": "enum"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "This is the score provided to reflect a variant's likelihood of explaining the phenotype using a specific\n        mode of Inheritance. This may be the result of different scoring systems",
                                        "name": "score",
                                        "type": [
                                            "null",
                                            "float"
                                        ]
                                    },
                                    {
                                        "doc": "Other scores that the interpretation provider may add (for example phenotypically informed or family\n        informed scores)",
                                        "name": "vendorSpecificScores",
                                        "type": [
                                            "null",
                                            {
                                                "type": "map",
                                                "values": "float"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "Variant classification",
                                        "name": "variantClassification",
                                        "type": [
                                            "null",
                                            {
                                                "doc": "The variant classification according to different properties.",
                                                "fields": [
                                                    {
                                                        "doc": "The variant's clinical significance.",
                                                        "name": "clinicalSignificance",
                                                        "type": [
                                                            "null",
                                                            {
                                                                "name": "ClinicalSignificance",
                                                                "symbols": [
                                                                    "benign",
                                                                    "likely_benign",
                                                                    "VUS",
                                                                    "likely_pathogenic",
                                                                    "pathogenic",
                                                                    "uncertain_significance"
                                                                ],
                                                                "type": "enum"
                                                            }
                                                        ]
                                                    },
                                                    {
                                                        "doc": "The variant's pharmacogenomics classification.",
                                                        "name": "drugResponseClassification",
                                                        "type": [
                                                            "null",
                                                            {
                                                                "name": "DrugResponseClassification",
                                                                "symbols": [
                                                                    "responsive",
                                                                    "resistant",
                                                                    "toxicity",
                                                                    "indication",
                                                                    "contraindication",
                                                                    "dosing",
                                                                    "increased_monitoring",
                                                                    "efficacy"
                                                                ],
                                                                "type": "enum"
                                                            }
                                                        ]
                                                    },
                                                    {
                                                        "doc": "The variant's trait association.",
                                                        "name": "traitAssociation",
                                                        "type": [
                                                            "null",
                                                            {
                                                                "name": "TraitAssociation",
                                                                "symbols": [
                                                                    "established_risk_allele",
                                                                    "likely_risk_allele",
                                                                    "uncertain_risk_allele",
                                                                    "protective"
                                                                ],
                                                                "type": "enum"
                                                            }
                                                        ]
                                                    },
                                                    {
                                                        "doc": "The variant's tumorigenesis classification.",
                                                        "name": "tumorigenesisClassification",
                                                        "type": [
                                                            "null",
                                                            {
                                                                "name": "TumorigenesisClassification",
                                                                "symbols": [
                                                                    "driver",
                                                                    "passenger",
                                                                    "modifier"
                                                                ],
                                                                "type": "enum"
                                                            }
                                                        ]
                                                    },
                                                    {
                                                        "doc": "The variant functional effect",
                                                        "name": "functionalEffect",
                                                        "type": [
                                                            "null",
                                                            {
                                                                "name": "VariantFunctionalEffect",
                                                                "symbols": [
                                                                    "dominant_negative_variant",
                                                                    "gain_of_function_variant",
                                                                    "lethal_variant",
                                                                    "loss_of_function_variant",
                                                                    "loss_of_heterozygosity",
                                                                    "null_variant"
                                                                ],
                                                                "type": "enum"
                                                            }
                                                        ]
                                                    }
                                                ],
                                                "name": "VariantClassification",
                                                "type": "record"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "Flag to indicate if this variant using this mode of inheritance can fully explain the phenotype",
                                        "name": "fullyExplainsPhenotype",
                                        "type": [
                                            "null",
                                            "boolean"
                                        ]
                                    },
                                    {
                                        "doc": "This value groups variants that together could explain the phenotype according to the mode of inheritance used.\n        (e.g.: compound heterozygous). All the variants in the same report sharing the same value will be considered in\n        the same group (i.e.: reported together). This value is an integer unique in the whole report.\n        These values are only relevant within the same report.",
                                        "name": "groupOfVariants",
                                        "type": [
                                            "null",
                                            "int"
                                        ]
                                    },
                                    {
                                        "doc": "This is the description of why this variant would be reported, for example that it affects the protein in this way\n        and that this gene has been implicated in this disorder in these publications. Publications should be provided as PMIDs\n        using the format [PMID:8075643]. Other sources can be used in the same manner, e.g. [OMIM:163500]. Brackets need to be included.",
                                        "name": "eventJustification",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "The tier where this variant has been classified. Tier is a property of the model of inheritance and therefore\n        is subject to change depending on the inheritance assumptions",
                                        "name": "tier",
                                        "type": [
                                            "null",
                                            {
                                                "doc": "Variant tiers as defined by Genomics England",
                                                "name": "Tier",
                                                "symbols": [
                                                    "NONE",
                                                    "TIER1",
                                                    "TIER2",
                                                    "TIER3",
                                                    "TIER4",
                                                    "TIER5"
                                                ],
                                                "type": "enum"
                                            }
                                        ]
                                    }
                                ],
                                "name": "ReportEvent",
                                "type": "record"
                            },
                            "type": "array"
                        }
                    },
                    {
                        "doc": "Any additional information in a free text field. For example a quote from a paper",
                        "name": "additionalTextualVariantAnnotations",
                        "type": [
                            "null",
                            {
                                "type": "map",
                                "values": "string"
                            }
                        ]
                    },
                    {
                        "doc": "Additional references for ths variant. For example HGMD ID or Pubmed Id",
                        "name": "references",
                        "type": [
                            "null",
                            {
                                "type": "map",
                                "values": "string"
                            }
                        ]
                    },
                    {
                        "doc": "Additional variant attributes",
                        "name": "variantAttributes",
                        "type": [
                            "null",
                            {
                                "doc": "Some additional variant attributes",
                                "fields": [
                                    {
                                        "doc": "Largest reference interrupted homopolymer length intersecting with the indel",
                                        "name": "ihp",
                                        "type": [
                                            "null",
                                            "int"
                                        ]
                                    },
                                    {
                                        "doc": "Flag indicating if the variant is recurrently reported",
                                        "name": "recurrentlyReported",
                                        "type": [
                                            "null",
                                            "boolean"
                                        ]
                                    },
                                    {
                                        "doc": "Average tier1 number of basecalls filtered from original read depth within 50 bases",
                                        "name": "fdp50",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "Map of other attributes where keys are the attribute names and values are the attributes",
                                        "name": "others",
                                        "type": [
                                            "null",
                                            {
                                                "type": "map",
                                                "values": "string"
                                            }
                                        ]
                                    }
                                ],
                                "name": "VariantAttributes",
                                "type": "record"
                            }
                        ]
                    },
                    {
                        "doc": "A list of population allele frequencies",
                        "name": "alleleFrequencies",
                        "type": [
                            "null",
                            {
                                "items": {
                                    "doc": "The population allele frequency of a given variant in a given study and optionally population",
                                    "fields": [
                                        {
                                            "doc": "The study from where this data comes from",
                                            "name": "study",
                                            "type": "string"
                                        },
                                        {
                                            "doc": "The specific population where this allele frequency belongs",
                                            "name": "population",
                                            "type": "string"
                                        },
                                        {
                                            "doc": "The frequency of the alternate allele",
                                            "name": "alternateFrequency",
                                            "type": "float"
                                        }
                                    ],
                                    "name": "AlleleFrequency",
                                    "type": "record"
                                },
                                "type": "array"
                            }
                        ]
                    },
                    {
                        "doc": "Additional numeric variant annotations for this variant. For Example (Allele Frequency, sift, polyphen,\n        mutationTaster, CADD. ..)",
                        "name": "additionalNumericVariantAnnotations",
                        "type": [
                            "null",
                            {
                                "type": "map",
                                "values": "float"
                            }
                        ]
                    },
                    {
                        "doc": "Comments",
                        "name": "comments",
                        "type": [
                            "null",
                            {
                                "items": "string",
                                "type": "array"
                            }
                        ]
                    },
                    {
                        "doc": "List of allele origins for this variant in this report",
                        "name": "alleleOrigins",
                        "type": {
                            "items": "AlleleOrigin",
                            "type": "array"
                        }
                    }
                ],
                "name": "ReportedVariant",
                "type": "record"
            }
        },
        {
            "name": "modifiedVariant",
            "type": "ReportedVariant"
        }
    ],
    "name": "ModifiedVariant",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}